<?php
include 'partials/header.php';

// Verificăm dacă utilizatorul este autentificat
if (!isset($_SESSION['user-id'])) {
    // Dacă utilizatorul nu este autentificat, îl redirecționăm către pagina de autentificare
    header('Location: signin.php');
    exit();
}

$user_id = $_SESSION['user-id'];

// Interogare pentru a obține informațiile utilizatorului din baza de date
$user_query = "SELECT firstname, lastname, grad FROM users WHERE id = ?";
$stmt = mysqli_prepare($connection, $user_query);
mysqli_stmt_bind_param($stmt, "i", $user_id);
mysqli_stmt_execute($stmt);
$user_result = mysqli_stmt_get_result($stmt);

// Verificăm dacă am obținut un rând rezultat
if ($user_row = mysqli_fetch_assoc($user_result)) {
    // Extragem numele și gradul utilizatorului
    $firstname = $user_row['firstname'];
    $lastname = $user_row['lastname'];
    $grad = $user_row['grad'];
}
// Interogare pentru a obține datele despre activele imobilizate din baza de date
// Interogare pentru a obține datele despre cifra de afaceri din baza de date
$revenue_query = "SELECT AN, cifra_afaceri FROM cifra_afaceri";
$revenue_result = mysqli_query($connection, $revenue_query);

// Inițializăm array-urile pentru etichetele anilor și cifra de afaceri
$revenue_years = [];
$revenue_values = [];

// Parcurgem rezultatele și extragem datele despre cifra de afaceri
while ($row = mysqli_fetch_assoc($revenue_result)) {
    $revenue_years[] = $row['AN'];
    $revenue_values[] = $row['cifra_afaceri'];
}

// Convertim array-urile în format JSON pentru a le folosi în JavaScript pentru cifra de afaceri
$revenue_years_json = json_encode($revenue_years);
$revenue_values_json = json_encode($revenue_values);

$debts_query = "SELECT AN, datorii FROM datorii";
$debts_result = mysqli_query($connection, $debts_query);

// Inițializăm array-urile pentru etichetele anilor și datoriile
$debts_years = [];
$debts_values = [];

// Parcurgem rezultatele și extragem datele despre datorii
while ($row = mysqli_fetch_assoc($debts_result)) {
    $debts_years[] = $row['AN'];
    $debts_values[] = $row['datorii'];
}

// Convertim array-urile în format JSON pentru a le folosi în JavaScript pentru datorii
$debts_years_json = json_encode($debts_years);
$debts_values_json = json_encode($debts_values);

$capitaluri_query = "SELECT AN, capitaluri FROM capitaluri";
$capitaluri_result = mysqli_query($connection, $capitaluri_query);

// Inițializăm array-urile pentru etichetele anilor și capitaluri
$capitaluri_years = [];
$capitaluri_values = [];

// Parcurgem rezultatele și extragem datele despre capitaluri
while ($row = mysqli_fetch_assoc($capitaluri_result)) {
    $capitaluri_years[] = $row['AN'];
    $capitaluri_values[] = $row['capitaluri'];
}

// Convertim array-urile în format JSON pentru a le folosi în JavaScript
$capitaluri_years_json = json_encode($capitaluri_years);
$capitaluri_values_json = json_encode($capitaluri_values);

$assets_query = "SELECT AN, active_imobilizate FROM active_imobilizate";
$assets_result = mysqli_query($connection, $assets_query);

// Inițializăm array-urile pentru etichetele anilor și activele imobilizate
$assets_years = [];
$assets_values = [];

// Parcurgem rezultatele și extragem datele despre activele imobilizate
while ($row = mysqli_fetch_assoc($assets_result)) {
    $assets_years[] = $row['AN'];
    $assets_values[] = $row['active_imobilizate'];
}

// Convertim array-urile în format JSON pentru a le folosi în JavaScript pentru activele imobilizate
$assets_years_json = json_encode($assets_years);
$assets_values_json = json_encode($assets_values);

// Interogare pentru a obține datele de vânzări din baza de date pentru profitul net
$profit_query = "SELECT year, net_profit FROM sales";
$profit_result = mysqli_query($connection, $profit_query);

// Inițializăm array-urile pentru etichetele anilor și profitul net
$profit_years = [];
$profit_profits = [];

// Parcurgem rezultatele și extragem datele pentru profitul net
while ($row = mysqli_fetch_assoc($profit_result)) {
    $profit_years[] = $row['year'];
    $profit_profits[] = $row['net_profit'];
}

// Convertim array-urile în format JSON pentru a le folosi în JavaScript pentru profitul net
$profit_years_json = json_encode($profit_years);
$profit_profits_json = json_encode($profit_profits);

// Datele pentru celelalte opțiuni vor fi inițializate aici
// Interogare pentru a obține datele despre angajați din baza de date
$employee_query = "SELECT an, numar_angajati FROM angajati";
$employee_result = mysqli_query($connection, $employee_query);

// Inițializăm array-urile pentru etichetele anilor și numărul de angajați
$employee_years = [];
$employee_counts = [];

// Parcurgem rezultatele și extragem datele despre angajați
while ($row = mysqli_fetch_assoc($employee_result)) {
    $employee_years[] = $row['an'];
    $employee_counts[] = $row['numar_angajati'];
}

// Convertim array-urile în format JSON pentru a le folosi în JavaScript pentru numărul de angajați
$employee_years_json = json_encode($employee_years);
$employee_counts_json = json_encode($employee_counts);

// Adăugăm datele despre angajați la obiectul data
$data['employees'] = [
    'label' => 'Angajați',
    'chartData' => $employee_counts_json,
    'tableData' => $employee_counts_json
];
$user_id = $_SESSION['user-id'];

// Interogare pentru a obține informațiile utilizatorului și calea către imaginea de profil din baza de date
$user_query = "SELECT firstname, lastname, grad, image_profile FROM users WHERE id = ?";
$stmt = mysqli_prepare($connection, $user_query);
mysqli_stmt_bind_param($stmt, "i", $user_id);
mysqli_stmt_execute($stmt);
$user_result = mysqli_stmt_get_result($stmt);

// Verificăm dacă am obținut un rând rezultat
if ($user_row = mysqli_fetch_assoc($user_result)) {
    // Extragem numele, gradul și calea către imaginea de profil a utilizatorului
    $firstname = $user_row['firstname'];
    $lastname = $user_row['lastname'];
    $grad = $user_row['grad'];
    $user_profile_image = $user_row['image_profile'];
}

?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Net Profit Chart</title>
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
        <style>

        .select-container {
            margin-bottom: 20px;
        }

        .select-container label,
        .select-container select {
            font-size: 18px;
            color: #333;
        }

        .select-container select {
            padding: 8px;
            border-radius: 5px;
            border: 1px solid #ccc;
            background-color: #fff;
            transition: border-color 0.3s;
        }

        .select-container select:hover,
        .select-container select:focus {
            border-color: #6a0dad; /* Culorile mov */
        }

        .back-button {
            background-color: #6a0dad;
            color: #fff;
            border: none;
            border-radius: 5px;
            padding: 10px 20px;
            font-size: 16px;
            cursor: pointer;
            transition: background-color 0.3s;
        }

        .back-button:hover {
            background-color: #4b0872; /* O nuanta mai inchisa de mov */
        }

        /* Stilizare pentru butonul de încărcare a imaginii */
        .upload-button {
            margin-top: 20px;
            padding: 3px 8px;
            /* Culoare de fundal a butonului */
            color: white; /* Culoare text buton */
            border: none;
            border-radius: 5px;
            cursor: pointer;
            transition: background-color 0.3s ease; /* Tranzitie pentru culoarea de fundal */
        }
 #upload-btn {
        display: none;
    }
        /* Stilizare pentru hover pe butonul de încărcare a imaginii */
        .upload-button:hover {
            background-color: #0056b3; /* Culoare de fundal a butonului la hover */
        }
  #submit-btn {
        display: none;
    }
        /* Ascunde inputul pentru încărcarea fișierului */
        #file-input {
            display: none;
        }
    </style>
</head>
<body>
    <!-- Dashboard -->
    <div class="dashboard">
        <!-- Main Content -->
        <div class="main-content">
            <!-- Head -->
            <div class="head flex">
                <button class="back-button" onclick="window.location.href = 'index.php';">Inapoi</button>
                <h1>Good Morning 👋</h1>
                <div class="box flex">
                    <ion-icon name="search-outline"></ion-icon>
                </div>
            </div>
            <!-- End Head -->

<!-- Select Container -->
<div class="select-container">
    <label for="data-type-select">Selectează tipul de date:</label>
    <select id="data-type-select" onchange="showData()">
        <option value="profit">Profitul Net</option>
        <option value="employees">Angajați</option>
        <option value="assets">Active Imobilizate</option>
        <option value="capital">Capitaluri</option> <!-- Adăugăm opțiunea pentru capitaluri -->
        <option value="debts">Datorii</option>
         <option value="revenue">Cifra de Afaceri</option>
    </select>
</div>
<!-- End Select Container -->


            <!-- Stats -->
            <div class="stats flex">
                <div class="stats-box">
                    <h2 id="chart-title" class="heading">Sales</h2>
                    <canvas id="salesChart" width="800" height="400"></canvas>
                </div>
            </div>
            <!-- End Stats -->
        </div>
        <!-- End Main Content -->

<!-- Profile -->
<div class="profile">
    <div class="title flex">
        <h2 class="heading">Profile</h2>
    </div>
    <div class="user">
        <!-- Afișarea imaginii de profil -->
        <?php
        if (!empty($user_profile_image)) {
            echo '<img src="' . htmlspecialchars($user_profile_image) . '" alt="Profile Picture">';
        } else {
            // Dacă nu există o imagine de profil setată, afișăm o imagine de profil implicită
            echo '<img src="default-profile-image.jpg" alt="Profile Picture">';
        }
        ?>
        <!-- End Afișarea imaginii de profil -->

        <!-- Formular pentru încărcarea imaginii -->
        <form action="upload.php" method="post" enctype="multipart/form-data">
            <input type="file" name="file" id="file-input" accept="image/*">
            <label for="file-input" class="upload-button" id="upload-button">Schimba imaginea</label>
            <!-- Actualizăm butonul de submit pentru a avea un id specific -->
            <input type="submit" id="submit-btn" value="Submit">
        </form>
        <!-- End Formular pentru încărcarea imaginii -->

        <h2><?php echo htmlspecialchars($firstname . ' ' . $lastname); ?></h2>

        <?php
        // Afișăm imaginea corespunzătoare gradului utilizatorului
        if ($grad === "Administrator") {
            echo '<h3><a href="' . ROOT_URL . 'announcement.php">Admin Panel</a></h3>';
        }
        ?>

        <!-- Afișăm imaginea corespunzătoare gradului utilizatorului -->
        <?php
        if ($grad === "Administrator") {
            echo '<div class="icon grad-icon" style="margin-left: 100px;"><img src="rank/Management.png" alt="Administrator" style="width: 156px; height: 35px;"></div>';
        } else if ($grad === "Departament Financiar") {
            echo '<div class="icon grad-icon" style="margin-left: 100px;"><img src="rank/Staff.png" alt="Departament Financiar" style="width: 156px; height: 35px;"></div>';
        } else {
            echo '<div class="icon grad-icon" style="margin-left: 100px;"><img src="rank/Member.png" alt="Users" style="width: 156px; height: 35px;"></div>';
        }
        ?>
       
        <h3><a href="<?= ROOT_URL ?>logout.php">Logout</a></h3>
    </div>
    <div class="activities">
        <div class="title flex">
            <h2 class="heading">Activity</h2>
            <p>View All ></p>
        </div>
    </div>
</div>
<!-- End Profile -->

    </div>
    <!-- End Dashboard -->


    <script>
        var chartTitle = document.getElementById('chart-title');
        var dataChart = document.getElementById('salesChart').getContext('2d');
        var dataTypeSelect = document.getElementById('data-type-select');
        var dataTable = document.getElementById('data-table');
        var myChart;

       var data = {
    profit: {
        label: 'Profitul Net',
        chartData: <?php echo $profit_profits_json; ?>,
        tableData: <?php echo $profit_profits_json; ?>
    },
    employees: {
        label: 'Angajați',
        chartData: <?php echo $employee_counts_json; ?>,
        tableData: <?php echo $employee_counts_json; ?>
    },
    assets: {
        label: 'Active Imobilizate',
        chartData: <?php echo $assets_values_json; ?>,
        tableData: <?php echo $assets_values_json; ?>
    },
    capital: {
        label: 'Capitaluri',
        chartData: <?php echo $capitaluri_values_json; ?>,
        tableData: <?php echo $capitaluri_values_json; ?>
    },
     debts: {
        label: 'Datorii',
        chartData: <?php echo $debts_values_json; ?>,
        tableData: <?php echo $debts_values_json; ?>
    },
     revenue: {
        label: 'Cifra de Afaceri',
        chartData: <?php echo $revenue_values_json; ?>,
        tableData: <?php echo $revenue_values_json; ?>
    }
    
};

function showData() {
    var selectedType = dataTypeSelect.value;
    chartTitle.textContent = data[selectedType].label;
    drawChart(selectedType, data[selectedType].chartData);
    renderTable(data[selectedType].tableData, selectedType);
}

        function drawChart(selectedType, chartData) {
            // Ștergem graficul existent, dacă există
            if (myChart) {
                myChart.destroy();
            }

            // Creăm un nou obiect Chart.js și desenăm graficul
            var ctx = document.getElementById('salesChart').getContext('2d');
            myChart = new Chart(ctx, {
                type: 'line',
                data: {
                    labels: selectedType === 'profit' ? <?php echo $profit_years_json; ?> : <?php echo $employee_years_json; ?>,
                    datasets: [{
                        label: data[selectedType].label,
                        data: chartData,
                        borderColor: 'rgb(75, 192, 192)',
                        tension: 0.1
                    }]
                },
                options: {
                    scales: {
                        y: {
                            beginAtZero: true
                        }
                    }
                }
            });
        }

        function renderTable(tableData, selectedType) {
            // Dacă opțiunea selectată este 'employees', afișăm datele despre angajați
            if (selectedType === 'employees') {
                dataTable.innerHTML = ''; // Curățăm tabelul existent
                var years = <?php echo $employee_years_json; ?>;
                var counts = JSON.parse(tableData); // Parsăm datele tabelului

                // Iterăm prin anii și numărul de angajați corespunzător
                for (var i = 0; i < years.length; i++) {
                    var row = document.createElement('tr');
                    var yearCell = document.createElement('td');
                    var countCell = document.createElement('td');
                    yearCell.textContent = years[i];
                    countCell.textContent = counts[i];
                    row.appendChild(yearCell);
                    row.appendChild(countCell);
                    dataTable.appendChild(row);
                }
            } else {
                // Dacă opțiunea selectată este altceva decât 'employees', afișăm datele despre profitul net (așa cum este deja implementat)
                dataTable.innerHTML = '';
                // Codul existent pentru afișarea datelor despre profitul net
            }
        }

        // Inițializăm pagina cu afișarea datelor pentru Profitul Net
        showData();
    </script>
    <script>
    // Așteptăm ca documentul să se încarce complet
    document.addEventListener("DOMContentLoaded", function () {
        // Selectăm input-ul pentru încărcarea fișierului
        var fileInput = document.getElementById('file-input');

        // Selectăm butonul de submit
        var submitButton = document.getElementById('submit-btn');

        // Adăugăm un eveniment pentru când utilizatorul selectează un fișier
        fileInput.addEventListener('change', function () {
            // Verificăm dacă s-a selectat un fișier
            if (fileInput.files.length > 0) {
                // Simulăm un click pe butonul de submit
                submitButton.click();
            }
        });
    });


</script>
</body>
</html>
