<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Gestionare flotă transporturi</title>
    <style>
        /* Stiluri CSS */
        table {
            border-collapse: collapse;
            width: 100%;
            box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
        }

        th, td {
            border: 1px solid #dddddd;
            text-align: left;
            padding: 8px;
        }

        th {
            background-color: #f2f2f2;
        }

        .functional {
            background-color: #a6e6a6; /* Verde pentru funcțional */
        }

        .maintenance {
            background-color: #ffff99; /* Galben pentru mentenanta */
        }

        .defect {
            background-color: #ffb3b3; /* Rosu pentru defect */
        }
    </style>
</head>
<body>

<?php
// Conexiunea la baza de date
$servername = "localhost";
$username = "nicusoro_nicusor";
$password = "sanda1975";
$dbname = "nicusoro_proiect";

// Crearea conexiunii
$conn = new mysqli($servername, $username, $password, $dbname);

// Verificarea conexiunii
if ($conn->connect_error) {
    die("Conexiunea a eșuat: " . $conn->connect_error);
}

// Verificăm dacă s-a trimis un filtru prin metoda GET
if(isset($_GET['stare_vehicul']) && $_GET['stare_vehicul'] !== '') {
    $stare_vehicul = $_GET['stare_vehicul'];
    // Filtrăm vehiculele după starea specificată
    $query = "SELECT * FROM flota_transporturi WHERE stare_vehicul='$stare_vehicul'";
} else {
    // Dacă nu s-a trimis un filtru sau s-a trimis 'toate', afișăm toate vehiculele
    $query = "SELECT * FROM flota_transporturi";
}

// Interogăm baza de date pentru a obține vehiculele
$result = $conn->query($query);

// Verificăm dacă există vehicule de afișat
if ($result->num_rows > 0) {
?>
    <!-- Propoziția pentru a selecta vehicule -->
    <p>Starea vehicului: 
        <?php 
        if(isset($_GET['stare_vehicul']) && $_GET['stare_vehicul'] !== '') {
            switch($_GET['stare_vehicul']) {
                case 'functional':
                    echo 'Funcționale';
                    break;
                case 'mentenanta':
                    echo 'Mentenanță';
                    break;
                case 'defect':
                    echo 'Defecte';
                    break;
                default:
                    echo 'Toate';
            }
        } else {
            echo 'Toate';
        }
        ?>
    </p>

    <!-- Formular pentru filtrarea vehiculelor -->
    <form action="flota_transport.php" method="GET">
        <label for="stare_vehicul">Selectează starea vehiculului:</label>
        <select name="stare_vehicul" id="stare_vehicul">
            <option value="" <?php if(!isset($_GET['stare_vehicul']) || $_GET['stare_vehicul'] === '') echo 'selected'; ?>>Toate</option>
            <option value="functional" <?php if(isset($_GET['stare_vehicul']) && $_GET['stare_vehicul'] === 'functional') echo 'selected'; ?>>Funcționale</option>
            <option value="mentenanta" <?php if(isset($_GET['stare_vehicul']) && $_GET['stare_vehicul'] === 'mentenanta') echo 'selected'; ?>>Mentenanță</option>
            <option value="defect" <?php if(isset($_GET['stare_vehicul']) && $_GET['stare_vehicul'] === 'defect') echo 'selected'; ?>>Defecte</option>
        </select>
        <button type="submit">Filtrează</button>
    </form>

    <!-- Tabel pentru afișarea vehiculelor -->
    <table>
        <tr>
            <th>ID</th>
            <th>Marca</th>
            <th>Model</th>
            <th>An fabricație</th>
            <th>Stare vehicul</th>
            <th>Litri/100 km</th> <!-- Noua coloană adăugată -->
        </tr>
        <?php
        // Parcurgem rezultatele și afișăm vehiculele într-un tabel
        while ($row = $result->fetch_assoc()) {
            // Adăugăm clase CSS pentru a colora diferit rândurile în funcție de starea vehiculului
            $class = '';
            switch($row['stare_vehicul']) {
                case 'functional':
                    $class = 'functional';
                    break;
                case 'mentenanta':
                    $class = 'maintenance';
                    break;
                case 'defect':
                    $class = 'defect';
                    break;
                default:
                    $class = '';
            }
            echo "<tr class='$class'>
                    <td>" . $row['id'] . "</td>
                    <td>" . $row['marca'] . "</td>
                    <td>" . $row['model'] . "</td>
                    <td>" . $row['an_fabricatie'] . "</td>
                    <td>" . $row['stare_vehicul'] . "</td>
                    <td>" . $row['litri_pe_100_km'] . "</td> <!-- Afișăm litrii pe 100 km -->
                  </tr>";
        }
        ?>
    </table>
<?php
} else {
    // Dacă nu există vehicule de afișat, afișăm un mesaj corespunzător
    echo "Nu există vehicule în baza de date.";
}

// Închidem conexiunea la baza de date
$conn->close();
?>
<a href="index.php">Înapoi</a>
</body>
</html>
