<?php
// Include baza de date
$servername = "localhost"; // Asumând că baza de date rulează pe același server
$username = "nicusoro_nicusor";
$password = "sanda1975";
$dbname = "nicusoro_proiect";

// Crearea conexiunii
$conn = new mysqli($servername, $username, $password, $dbname);

// Verificăm dacă sunt trimise date prin POST
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Verificăm dacă utilizatorul este autentificat și dacă variabila $_SESSION['user-id'] este setată
    session_start();
    if (!isset($_SESSION['user-id'])) {
        // Dacă utilizatorul nu este autentificat, aruncăm o eroare și încheiem scriptul
        http_response_code(401);
        exit("Unauthorized");
    }
    
    // Identificăm utilizatorul curent
    $user_id = $_SESSION['user-id'];

    // Validăm datele trimise
    if(isset($_POST['recipient_id']) && isset($_POST['message'])) {
        $recipient_id = $_POST['recipient_id'];
        $message = $_POST['message'];

        // Salvăm mesajul în baza de date
        $insert_query = "INSERT INTO messages (sender_id, recipient_id, message) VALUES (?, ?, ?)";
        $stmt = mysqli_prepare($conn, $insert_query);
        mysqli_stmt_bind_param($stmt, "iis", $user_id, $recipient_id, $message);
        mysqli_stmt_execute($stmt);

        // Verificăm dacă mesajul a fost salvat cu succes
        if (mysqli_stmt_affected_rows($stmt) > 0) {
            // Răspunsul JSON pentru client
            $response = [
                'success' => true,
                'message' => 'Message sent successfully.'
            ];
            echo json_encode($response);
        } else {
            // Răspuns în caz de eroare
            http_response_code(500);
            echo json_encode(['error' => 'Error saving message. Please try again.']);
        }

        // Închidem conexiunea la baza de date și instrucțiunea pregătită
        mysqli_stmt_close($stmt);
    } else {
        // Dacă nu sunt trimise date prin POST, aruncăm o eroare
        http_response_code(400);
        echo json_encode(['error' => 'Invalid request.']);
    }
} else {
    // Dacă nu sunt trimise date prin POST, aruncăm o eroare
    http_response_code(400);
    echo json_encode(['error' => 'Invalid request.']);
}
?>
