<?php
require 'config/database.php';

// ...
if (isset($_POST['submit'])) {
    // Obține datele din formular
    $firstname = filter_var($_POST['firstname'], FILTER_SANITIZE_STRING);
    $lastname = filter_var($_POST['lastname'], FILTER_SANITIZE_STRING);
    $email = filter_var($_POST['email'], FILTER_VALIDATE_EMAIL);
    $createpassword = $_POST['password'];

    // Verifică dacă fișierul imagine a fost încărcat cu succes
    if (isset($_FILES['profile_image']) && $_FILES['profile_image']['error'] === UPLOAD_ERR_OK) {
        $profile_image = $_FILES['profile_image'];
        // Generează un nume unic pentru imagine
        $image_name = uniqid() . '_' . $profile_image['name'];
        // Mută imaginea încărcată în directorul dorit (de exemplu, în folderul "uploads")
        $upload_path = 'uploads/' . $image_name;
        move_uploaded_file($profile_image['tmp_name'], $upload_path);
    } else {
        // Dacă nu a fost încărcată o imagine personalizată, folosește imaginea de profil implicită
        $upload_path = 'default-profile-image.jpg';
    }

    // Verifică validitatea datelor introduse în formular
    if (!preg_match("/^[a-zA-Z]+$/", $firstname)) {
        $_SESSION['signup'] = "First name can only contain letters";
    } elseif (!preg_match("/^[a-zA-Z]+$/", $lastname)) {
        $_SESSION['signup'] = "Last name can only contain letters";
    } elseif (!$email) {
        $_SESSION['signup'] = "Please enter a valid email";
    } else {
        // Hashează parola utilizatorului
        $hashed_password = password_hash($createpassword, PASSWORD_DEFAULT);

        // Verifică dacă adresa de email este deja înregistrată în baza de date
        $user_check_query = "SELECT * FROM users WHERE email=?";
        $stmt = mysqli_prepare($connection, $user_check_query);
        mysqli_stmt_bind_param($stmt, "s", $email);
        mysqli_stmt_execute($stmt);
        mysqli_stmt_store_result($stmt);

        if (mysqli_stmt_num_rows($stmt) > 0) {
            $_SESSION['signup'] = "Email already exists";
        } else {
            // Inserează utilizatorul în baza de date, inclusiv calea către imaginea de profil
            $insert_user_query = "INSERT INTO users (firstname, lastname, email, password, image_profile, created_at) VALUES (?, ?, ?, ?, ?, NOW())";
            $stmt = mysqli_prepare($connection, $insert_user_query);
            mysqli_stmt_bind_param($stmt, "sssss", $firstname, $lastname, $email, $hashed_password, $upload_path);
            mysqli_stmt_execute($stmt);

            if (!mysqli_errno($connection)) {
                $_SESSION['signup-success'] = "Registration successful. Please log in";
                header('location: ' . ROOT_URL . 'signin.php');
                die();
            }
        }
    }

    if (isset($_SESSION['signup'])) {
        $_SESSION['signup-data'] = $_POST;
        header('location: ' . ROOT_URL . 'signup.php');
        die();
    }
} else {
    header('location: ' . ROOT_URL . 'signup.php');
    die();
}

?>
