<?php
include 'partials/header.php';

// Get form data if there was a registration error
$firstname = $_SESSION['signup-data']['firstname'] ?? '';
$lastname = $_SESSION['signup-data']['lastname'] ?? '';
$email = $_SESSION['signup-data']['email'] ?? '';

// Delete signup data session
unset($_SESSION['signup-data']);
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>PHP & MySQL Blog Application with Admin Panel</title>
    <!-- CUSTOM STYLESHEET -->
      <link rel="stylesheet" href="<?= ROOT_URL ?>css/sf235_sfas.css">
    <!-- ICONSCOUT CDN -->
    <link rel="stylesheet" href="https://unicons.iconscout.com/release/v4.0.0/css/line.css">
    <!-- GOOGLE FONT (MONTSERRAT) -->
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;500;600;700;800;900&display=swap" rel="stylesheet">
</head>
<body>
    <section class="form__section">
        <div class="container form__section-container">
            <h2>Sign Up</h2>
            <?php if (isset($_SESSION['signup'])) : ?>
                <div class="alert__message error">
                    <p><?= $_SESSION['signup']; ?></p>
                </div>
                <?php unset($_SESSION['signup']); ?>
            <?php endif; ?>
<form action="<?= ROOT_URL ?>signup-logic.php" enctype="multipart/form-data" method="POST">
    <input type="text" name="firstname" value="<?= htmlspecialchars($firstname) ?>" placeholder="First Name" required>
    <input type="text" name="lastname" value="<?= htmlspecialchars($lastname) ?>" placeholder="Last Name" required>
    <input type="email" name="email" value="<?= htmlspecialchars($email) ?>" placeholder="Email" required>
    <input type="password" name="password" placeholder="Create Password" required>
    <!-- Adaugă câmpul de încărcare a imaginii de profil -->
    <input type="file" name="profile_image" accept="image/*" required>
    <div class="form-check">
        <input type="checkbox" class="form-check-input" id="terms" name="terms" required>
        <label class="form-check-label" for="terms">I agree to the <a href="terms_and_conditions.php" target="_blank">Terms and Conditions</a></label>
    </div>
    <button type="submit" name="submit" class="btn">Sign Up</button>
    <small>Already have an account? <a href="signin.php">Sign In</a></small>
</form>

        </div>
    </section>
</body>
</html>
