<?php
require 'config/database.php';

// Verificăm dacă fișierul a fost încărcat fără erori
if (isset($_FILES['file']) && $_FILES['file']['error'] === UPLOAD_ERR_OK) {
    // Specificăm directorul în care dorim să salvăm imaginea
    $upload_dir = 'uploads/';

    // Obținem numele și extensia fișierului încărcat
    $file_name = basename($_FILES['file']['name']);
    $file_extension = pathinfo($file_name, PATHINFO_EXTENSION);

    // Generăm un nume unic pentru fișier pentru a evita suprascrierea
    $unique_file_name = uniqid('profile_image_', true) . '.' . $file_extension;

    // Construim calea completă pentru fișierul destinatar
    $upload_path = $upload_dir . $unique_file_name;

    // Mutăm fișierul încărcat în directorul destinatar
    if (move_uploaded_file($_FILES['file']['tmp_name'], $upload_path)) {
        // Afișăm un mesaj de succes în caz de încărcare reușită
        echo "Imaginea a fost încărcată cu succes.";

        // Actualizăm link-ul imaginii de profil în baza de date
        $user_id = $_SESSION['user-id'];
        $new_image_profile = 'uploads/' . $unique_file_name;

        $update_query = "UPDATE users SET image_profile = ? WHERE id = ?";
        $stmt = mysqli_prepare($connection, $update_query);
        mysqli_stmt_bind_param($stmt, "si", $new_image_profile, $user_id);
        mysqli_stmt_execute($stmt);
    } else {
        // Afișăm un mesaj de eroare în caz de eșec la încărcare
        echo "A apărut o eroare în timpul încărcării imaginii.";
    }
} else {
    // Afișăm un mesaj de eroare în cazul în care nu s-a încărcat niciun fișier sau au apărut erori
    echo "A apărut o eroare în timpul încărcării imaginii.";
}
?>
